org.apache.poi.xslf.usermodel

## Class XSLFSlideMaster

- java.lang.Object
- - org.apache.poi.ooxml.POIXMLDocumentPart
  - - org.apache.poi.xslf.usermodel.XSLFSheet
    - - org.apache.poi.xslf.usermodel.XSLFSlideMaster

- All Implemented Interfaces:
    java.lang.Iterable<XSLFShape>, MasterSheet<XSLFShape,XSLFTextParagraph>, ShapeContainer<XSLFShape,XSLFTextParagraph>, Sheet<XSLFShape,XSLFTextParagraph>, XSLFShapeContainer

      @Beta
      public class XSLFSlideMaster
      extends XSLFSheet
      implements MasterSheet<XSLFShape,XSLFTextParagraph>

  Slide master object associated with this layout.

  Within a slide master slide are contained all elements that describe the objects and their corresponding formatting for within a presentation slide.

  Within a slide master slide are two main elements. The cSld element specifies the common slide elements such as shapes and their attached text bodies. Then the txStyles element specifies the formatting for the text within each of these shapes. The other properties within a slide master slide specify other properties for within a presentation slide such as color information, headers and footers, as well as timing and transition information for all corresponding presentation slides.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.ooxml.POIXMLDocumentPart

      `POIXMLDocumentPart.RelationPart`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XSLFSlideMaster(PackagePart part)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XSLFBackground` | `getBackground()`
    `XSLFSlideLayout` | `getLayout(SlideLayout type)` Get the slide layout by type.
    `XSLFSlideLayout` | `getLayout(java.lang.String name)` Get the slide layout by name.
    `XSLFSlideMaster` | `getMasterSheet()`
    `protected java.lang.String` | `getRootElementName()`
    `XSLFSlideLayout[]` | `getSlideLayouts()`
    `protected org.openxmlformats.schemas.drawingml.x2006.main.CTTextListStyle` | `getTextProperties(Placeholder textType)`
    `org.openxmlformats.schemas.presentationml.x2006.main.CTSlideMaster` | `getXmlObject()`

    - ### Methods inherited from class org.apache.poi.xslf.usermodel.XSLFSheet

      `addChart, addChart, addShape, allocateShapeId, appendContent, buildShapes, clear, commit, createAutoShape, createConnector, createFreeform, createGroup, createOleShape, createPicture, createTable, createTable, createTextBox, deregisterShapeId, draw, getFollowMasterGraphics, getPlaceholder, getPlaceholder, getPlaceholderDetails, getPlaceholders, getShapes, getSlideShow, getSpTree, getTextShapeByType, getTheme, importContent, iterator, mapSchemeColor, mapSchemeColor, registerShapeId, removeShape`

    - ### Methods inherited from class org.apache.poi.ooxml.POIXMLDocumentPart

      `_invokeOnDocumentRead, addRelation, createRelationship, createRelationship, createRelationship, getNextPartNumber, getPackagePart, getParent, getRelationById, getRelationId, getRelationPartById, getRelationParts, getRelations, getTargetPart, isCommited, isCommitted, onDocumentCreate, onDocumentRead, onDocumentRemove, onSave, prepareForCommit, read, rebase, removeRelation, removeRelation, removeRelation, setCommited, setCommitted, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.MasterSheet

      `getPlaceholder`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.Sheet

      `draw, getFollowMasterGraphics, getPlaceholderDetails, getSlideShow`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.ShapeContainer

      `addShape, createAutoShape, createConnector, createFreeform, createGroup, createOleShape, createPicture, createTable, createTextBox, getShapes, removeShape`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

- - ### Constructor Detail

    - #### XSLFSlideMaster

          protected XSLFSlideMaster(PackagePart part)
                             throws java.io.IOException,
                                    org.apache.xmlbeans.XmlException

      Throws:
        `java.io.IOException`
        `org.apache.xmlbeans.XmlException`
      Since:
        POI 3.14-Beta1

  - ### Method Detail

    - #### getXmlObject

          public org.openxmlformats.schemas.presentationml.x2006.main.CTSlideMaster getXmlObject()

      Specified by:
        `getXmlObject` in class `XSLFSheet`
      Returns:
        top-level Xml bean representing this sheet

    - #### getRootElementName

          protected java.lang.String getRootElementName()

      Specified by:
        `getRootElementName` in class `XSLFSheet`

    - #### getMasterSheet

          public XSLFSlideMaster getMasterSheet()

      Specified by:
        `getMasterSheet` in interface `Sheet<XSLFShape,XSLFTextParagraph>`

    - #### getSlideLayouts

          public XSLFSlideLayout[] getSlideLayouts()

      Returns:
        all slide layouts referencing this master

    - #### getLayout

          public XSLFSlideLayout getLayout(SlideLayout type)

      Get the slide layout by type.
      Parameters:
        `type` - The layout type. Cannot be null.
      Returns:
        the layout found or null on failure

    - #### getLayout

          public XSLFSlideLayout getLayout(java.lang.String name)

      Get the slide layout by name.
      Parameters:
        `name` - The layout name (case-insensitive). Cannot be null.
      Returns:
        the layout found or null on failure

    - #### getTextProperties

          protected org.openxmlformats.schemas.drawingml.x2006.main.CTTextListStyle getTextProperties(Placeholder textType)

    - #### getBackground

          public XSLFBackground getBackground()

      Specified by:
        `getBackground` in interface `Sheet<XSLFShape,XSLFTextParagraph>`
      Overrides:
        `getBackground` in class `XSLFSheet`
      Returns:
        background for this sheet

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.